---
title: createSession()
slug: Web/API/MediaKeys/createSession
tags:
  - API
  - EncryptedMediaExtensions
  - Experimental
  - Media
  - MediaKeys
  - Method
  - Reference
  - createSession
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code>MediaKeys.createSession()</code> method returns a new {{domxref("MediaKeySession")}} object, which represents a context for message exchange with a content decryption module (CDM).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>mediaKeySessionObject</var> = MediaKeys.createSession(<var>[MediaKeySessionType]</var>);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeys-createsession', 'createSession()')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeys.createSession")}}</p>
</div>
